%define _bindir /bin

Summary:	The GNU versions of the grep pattern matching utilities
Name:		grep
Version:	3.0
Release:	%mkrel 1
License:	GPLv3
Group:		Text tools
URL:		http://www.gnu.org/software/grep/grep.html
Source0:	ftp://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz.sig
# (blino) patches adapted from upstream gnulib to fix update-copyright test with perl 5.22
BuildRequires:	gettext-devel
BuildRequires:	pcre-devel
BuildRequires:	texinfo
BuildRequires:	bison

%description
The GNU versions of the commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%package doc
Summary:	Grep documentation in info format
Group:		Documentation
Requires(post):	info-install
Requires(preun):	info-install

%description doc
The GNU versions of the commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

Install this package if you want info documentation on grep.

%prep

%setup -q
%autopatch -p1

# Failing test on x86_64 in the buildsystem so disabling.
perl -ln -i -e 'print unless /^\s*long-pattern-perf\s*\\\s*$/' ./tests/Makefile.{in,am}

%build
autoreconf -fi
chmod +x tests/kwset-abuse
%configure2_5x \
    --without-included-regex \
    --enable-perl-regexp \
    --exec-prefix=/

%make

%check
make check

%install
%make_install

%find_lang %{name}

%post doc
%_install_info %{name}.info

%preun doc
%_remove_install_info %{name}.info

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*

%files doc
%doc AUTHORS THANKS TODO NEWS README ChangeLog
%{_infodir}/*.info*




%changelog
* Sat Feb 11 2017 shlomif <shlomif> 3.0-1.mga6
+ Revision: 1085784
- New upstream version 3.0 - thanks to Luigi Walser.

* Wed Dec 07 2016 shlomif <shlomif> 2.27-1.mga6
+ Revision: 1073048
- New version 2.27 - thx to Luigi

* Mon Oct 03 2016 shlomif <shlomif> 2.26-1.mga6
+ Revision: 1058219
- New upstream version 2.26 - thanks to LuigiWalser.

* Fri Apr 22 2016 shlomif <shlomif> 2.25-1.mga6
+ Revision: 1004877
- New version + typo fixes

* Fri Mar 11 2016 luigiwalser <luigiwalser> 2.24-1.mga6
+ Revision: 989158
- 2.24

* Fri Feb 05 2016 luigiwalser <luigiwalser> 2.23-1.mga6
+ Revision: 937837
- 2.23

* Mon Nov 09 2015 shlomif <shlomif> 2.22-2.mga6
+ Revision: 900025
- Bump rel for rebuild
- Disable a test that fails on the BS
- New version 2.22 - remove already applied patches

* Sun Oct 25 2015 blino <blino> 2.21-3.mga6
+ Revision: 895249
- add patches adapted from upstream gnulib to fix update-copyright test with perl 5.22 (and drop test skip)

* Fri Aug 21 2015 tmb <tmb> 2.21-2.mga6
+ Revision: 867456
- rebuild for new gcc

* Sun Jul 26 2015 blino <blino> 2.21-1.mga6
+ Revision: 857725
- skip test-update-copyright.sh which fails with perl 5.22
- 2.21
- rediff kwset-heap-buffer-overread patch

* Mon Jan 19 2015 luigiwalser <luigiwalser> 2.20-4.mga5
+ Revision: 811428
- add upstream patch to fix heap buffer overread (gnu bug#19563, CVE-2015-1345)

* Wed Oct 15 2014 umeabot <umeabot> 2.20-3.mga5
+ Revision: 746291
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20-2.mga5
+ Revision: 679935
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 luigiwalser <luigiwalser> 2.20-1.mga5
+ Revision: 632716
- 2.20

* Fri May 23 2014 luigiwalser <luigiwalser> 2.19-1.mga5
+ Revision: 625119
- 2.19

* Sat Feb 22 2014 luigiwalser <luigiwalser> 2.18-1.mga5
+ Revision: 595650
- 2.18

* Tue Feb 18 2014 luigiwalser <luigiwalser> 2.17-1.mga5
+ Revision: 594537
- 2.17

* Fri Jan 03 2014 luigiwalser <luigiwalser> 2.16-1.mga4
+ Revision: 564043
- 2.16

* Thu Dec 05 2013 luigiwalser <luigiwalser> 2.15-1.mga4
+ Revision: 555420
- 2.15

* Fri Oct 18 2013 umeabot <umeabot> 2.14-7.mga4
+ Revision: 505224
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.14-6.mga3
+ Revision: 352598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.14-5.mga3
+ Revision: 323595
- rebuild
- rebuild for new pcre

  + tmb <tmb>
    - rebuild with bs to replace manually built one

* Sun Oct 14 2012 ennael <ennael> 2.14-2.mga3
+ Revision: 305432
- Documentation group

* Tue Aug 21 2012 fwang <fwang> 2.14-1.mga3
+ Revision: 282854
- new version 2.14

* Thu Jul 05 2012 fwang <fwang> 2.13-1.mga3
+ Revision: 267831
- new version 2.13

* Mon Jun 11 2012 luigiwalser <luigiwalser> 2.12-1.mga3
+ Revision: 259589
- 2.12

* Fri Apr 06 2012 blino <blino> 2.11-2.mga2
+ Revision: 228882
- fix segfault with -r --exclude-dir and no file operand (from upstream git)

* Sat Mar 03 2012 fwang <fwang> 2.11-1.mga2
+ Revision: 217113
- new version 2.11

* Fri Nov 18 2011 boklm <boklm> 2.10-1.mga2
+ Revision: 168962
- version 2.10
- drop all patches

* Wed Jun 29 2011 tv <tv> 2.9-1.mga2
+ Revision: 116158
- new release

* Fri Jun 17 2011 tv <tv> 2.8-1.mga2
+ Revision: 109265
- new release
- fix signature URL

* Tue Jan 04 2011 tmb <tmb> 2.7-2.mga1
+ Revision: 153
- imported package grep

